package discovery

import (
	"git.loafle.net/overflow/commons-go/core/util"
	"git.loafle.net/overflow/commons-go/model/meta"
)

type Host struct {
	MetaIPType *meta.MetaIPType `json:"metaIPType,omitempty"`
	Address    string           `json:"address,omitempty"`
	Mac        string           `json:"mac,omitempty"`

	Zone     *Zone   `json:"zone,omitempty"`
	PortList []*Port `json:"portList,omitempty"`

	DiscoveredDate *util.Timestamp `json:"discoveredDate,omitempty"`
}
