package infra

import (
	"encoding/json"

	"git.loafle.net/overflow/commons-go/core/util"
	"git.loafle.net/overflow/commons-go/model/meta"
)

type InfraHostIP struct {
	ID         json.Number      `json:"id,Number,omitempty"`
	InfraHost  *InfraHost       `json:"infraHost,omitempty"`
	MetaIPType *meta.MetaIPType `json:"metaIPType,omitempty"`
	Address    string           `json:"address,omitempty"`
	Mac        string           `json:"mac,omitempty"`
	Iface      string           `json:"iface,omitempty"`
	Gateway    string           `json:"gateway,omitempty"`
	CreateDate *util.Timestamp  `json:"createDate,omitempty"`
}
