package infra

import (
	"git.loafle.net/overflow/commons-go/model/meta"
)

type InfraHost struct {
	Infra
	InfraZone             *InfraZone               `json:"infraZone,omitempty"`
	MetaTargetHostType    *meta.MetaTargetHostType `json:"metaTargetHostType,omitempty"`
	InfraHostMachine      *InfraHostMachine        `json:"infraHostMachine,omitempty"`
	InfraHostOS           *InfraHostOS             `json:"infraHostOS,omitempty"`
	InfraHostIPs          []*InfraHostIP           `json:"infraHostIPs,omitempty"`
  ContainerInfraHost    *InfraHost               `json:"containerInfraHost,omitempty"`
}
