package container

import "git.loafle.net/overflow/commons-go/model/sensorconfig"

type SensorConfigService interface {
	InitConfig(sensorConfigs []*sensorconfig.SensorConfig) error
	AddConfig(sensorConfig *sensorconfig.SensorConfig) error
	UpdateConfig(sensorConfig *sensorconfig.SensorConfig) error
	RemoveConfig(sensorConfigID string) error
}
